Create a new image from file or URL

- « imagecreatefromxbm

- imagecreatetruecolor »

- PHP Manual
- GD and Image Functions
- Create a new image from file or URL

# imagecreatefromxpm

(PHP 4 >= 4.0.1, PHP 5, PHP 7, PHP 8)

imagecreatefromxpm — Create a new image from file or URL

### Description

imagecreatefromxpm(string `$filename`): GdImage|false

imagecreatefromxpm() returns an image identifier representing the image obtained from the given filename.

Tip

A URL can be used as a filename with this function if the fopen wrappers have been enabled. See fopen() for more details on how to specify the filename. See the Supported Protocols and Wrappers for links to information about what abilities the various wrappers have, notes on their usage, and information on any predefined variables they may provide.

### Parameters

`filename`

  Path to the XPM image.

### Return Values

Returns an image object on success, `false` on errors.

### Changelog

Version | Description
--- | ---
8.0.0 | On success, this function returns a GDImage instance now; previously, a resource was returned.

### Examples

Example #1 Creating an image instance using imagecreatefromxpm()

    <?php
    // Check for XPM support
    if(!(imagetypes() & IMG_XPM))
    {
        die('Support for xpm was not found!');
    }

    // Create the image instance
    $xpm = imagecreatefromxpm('./example.xpm');

    // Do image operations here

    // PHP has no support for writing xpm images
    // so in this case we save the image as a
    // jpeg file with 100% quality
    imagejpeg($xpm, './example.jpg', 100);
    ?>